Summary: Utilities for managing the second extended (ext2) filesystem.
Name: e2fsprogs
Version: 1.19
Release: 1
Group: System Environment/Base
Copyright: GPL
Url: http://e2fsprogs.sourceforge.net/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://download.sourceforge.net/pub/sourceforge/e2fsprogs/e2fsprogs-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
The e2fsprogs package contains a number of utilities for creating,
checking, modifying and correcting any inconsistencies in second
extended (ext2) filesystems.  E2fsprogs contains e2fsck (used to repair
filesystem inconsistencies after an unclean shutdown), mke2fs (used to
initialize a partition to contain an empty ext2 filesystem), debugfs
(used to examine the internal structure of a filesystem, to manually
repair a corrupted filesystem or to create test cases for e2fsck), tune2fs
(used to modify filesystem parameters) and most of the other core ext2fs
filesystem utilities.


%package devel
Summary: Ext2 filesystem-specific static libraries and headers.
Group: Development/Libraries
Requires: e2fsprogs

%description devel 
E2fsprogs-devel contains the libraries and header files needed to
develop second extended (ext2) filesystem-specific programs.


%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --enable-elf-shlibs
make libs progs docs


%install
export PATH=/sbin:$PATH
make install install-libs DESTDIR=$RPM_BUILD_ROOT
# Replace duplicated files with symlinks
ln -sf e2fsck $RPM_BUILD_ROOT/sbin/fsck.ext2
ln -sf e2fsck $RPM_BUILD_ROOT/sbin/fsck.ext3
ln -sf mke2fs $RPM_BUILD_ROOT/sbin/mkfs.ext2


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc ABOUT-NLS COPYING ChangeLog INSTALL README RELEASE-NOTES
/lib/*
/sbin/*
/usr/sbin/*
/usr/man/man8/*
/usr/bin/chattr
/usr/bin/lsattr
/usr/bin/uuidgen
/usr/man/man1/chattr.1.gz
/usr/man/man1/lsattr.1.gz
/usr/man/man1/uuidgen.1.gz


%files devel
%defattr(-,root,root)
/usr/include/*
/usr/info/*
/usr/lib/*
/usr/share/*
/usr/bin/compile_et
/usr/bin/mk_cmds
/usr/man/man1/compile_et.1.gz
/usr/man/man3/*


%clean
rm -rf $RPM_BUILD_ROOT

